Requirements

The requirements for Charmed Ceph are the following:

  • Juju 2.x
  • MAAS 2.x
  • Access to public Juju charms and the Ubuntu package archives they may require

MAAS should have the Ubuntu install images imported that correspond to a planned deployment’s specifications. Typically all stable LTS releases are imported for the architecture in use (e.g. Ubuntu 20.04 LTS for amd64). Any eventual LXD containers use an image importing mechanism internal to LXD.

For Ceph hardware recommendations see the Ceph documentation.

Note: This documentation was written using Juju 2.8.1 and MAAS 2.8.1.

See the Supported Ceph versions ›

Last updated a day ago. Help improve this document in the forum.